JavaScript
import CheckoutIntents from 'checkout-intents';
const client = new CheckoutIntents({
apiKey: process.env['CHECKOUT_INTENTS_API_KEY'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const shipment of client.shipments.list()) {
console.log(shipment);
}import os
from checkout_intents import CheckoutIntents
client = CheckoutIntents(
api_key=os.environ.get("CHECKOUT_INTENTS_API_KEY"), # This is the default and can be omitted
)
page = client.shipments.list()
page = page.data[0]
print(page)package com.rye.example;
import com.rye.client.CheckoutIntentsClient;
import com.rye.client.okhttp.CheckoutIntentsOkHttpClient;
import com.rye.models.shipments.ShipmentListPage;
import com.rye.models.shipments.ShipmentListParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
CheckoutIntentsClient client = CheckoutIntentsOkHttpClient.fromEnv();
ShipmentListPage page = client.shipments().list();
}
}curl https://staging.api.rye.com/api/v1/shipments \
-H "Authorization: Bearer $CHECKOUT_INTENTS_API_KEY"
{
"pageInfo": {
"hasPreviousPage": true,
"hasNextPage": true,
"endCursor": "<string>",
"startCursor": "<string>"
},
"data": [
{
"updatedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"marketplaceOrderId": "<string>",
"checkoutIntentId": "<string>",
"id": "<string>",
"trackingEvents": [
{
"location": {
"country": "<string>",
"province": "<string>",
"city": "<string>"
},
"timestamp": {
"local": "<string>",
"utc": "2023-11-07T05:31:56Z"
},
"description": "<string>"
}
],
"shippedAt": "2023-11-07T05:31:56Z",
"tracking": {
"number": "<string>",
"carrierName": "<string>",
"deliveryDate": {
"estimated": "2023-11-07T05:31:56Z"
},
"url": "<string>"
},
"externalId": "<string>",
"status": "shipped"
}
]
}{
"name": "<string>",
"message": "<string>",
"stack": "<string>"
}{
"name": "<string>",
"message": "<string>",
"stack": "<string>"
}{
"name": "<string>",
"message": "<string>",
"status": 123,
"fields": {},
"stack": "<string>"
}Shipments
List shipments
Retrieve a paginated list of shipments
Enables developers to query shipments associated with their account, with filters and cursor-based pagination.
GET
/
api
/
v1
/
shipments
JavaScript
import CheckoutIntents from 'checkout-intents';
const client = new CheckoutIntents({
apiKey: process.env['CHECKOUT_INTENTS_API_KEY'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const shipment of client.shipments.list()) {
console.log(shipment);
}import os
from checkout_intents import CheckoutIntents
client = CheckoutIntents(
api_key=os.environ.get("CHECKOUT_INTENTS_API_KEY"), # This is the default and can be omitted
)
page = client.shipments.list()
page = page.data[0]
print(page)package com.rye.example;
import com.rye.client.CheckoutIntentsClient;
import com.rye.client.okhttp.CheckoutIntentsOkHttpClient;
import com.rye.models.shipments.ShipmentListPage;
import com.rye.models.shipments.ShipmentListParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
CheckoutIntentsClient client = CheckoutIntentsOkHttpClient.fromEnv();
ShipmentListPage page = client.shipments().list();
}
}curl https://staging.api.rye.com/api/v1/shipments \
-H "Authorization: Bearer $CHECKOUT_INTENTS_API_KEY"
{
"pageInfo": {
"hasPreviousPage": true,
"hasNextPage": true,
"endCursor": "<string>",
"startCursor": "<string>"
},
"data": [
{
"updatedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"marketplaceOrderId": "<string>",
"checkoutIntentId": "<string>",
"id": "<string>",
"trackingEvents": [
{
"location": {
"country": "<string>",
"province": "<string>",
"city": "<string>"
},
"timestamp": {
"local": "<string>",
"utc": "2023-11-07T05:31:56Z"
},
"description": "<string>"
}
],
"shippedAt": "2023-11-07T05:31:56Z",
"tracking": {
"number": "<string>",
"carrierName": "<string>",
"deliveryDate": {
"estimated": "2023-11-07T05:31:56Z"
},
"url": "<string>"
},
"externalId": "<string>",
"status": "shipped"
}
]
}{
"name": "<string>",
"message": "<string>",
"stack": "<string>"
}{
"name": "<string>",
"message": "<string>",
"stack": "<string>"
}{
"name": "<string>",
"message": "<string>",
"status": 123,
"fields": {},
"stack": "<string>"
}Authorizations
Rye API key
Query Parameters
Maximum number of results to return (default 100)
Required range:
1 <= x <= 100Available options:
out_for_delivery, delivered, shipped, canceled, delayed, ordered Response
Paginated shipments response
Show child attributes
Show child attributes
data
(Shipped · object | Delivered · object | Delayed · object | Out for Delivery · object | Ordered · object | Canceled · object)[]
required
Shipments that have tracking information (shipped, delayed, or delivered states)
- Shipped
- Delivered
- Delayed
- Out for Delivery
- Ordered
- Canceled
Show child attributes
Show child attributes
Was this page helpful?
⌘I

